%define upstream_name    MooseX-SimpleConfig
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Moose role for setting attributes from a simple configfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ConfigFromFile)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildArch: noarch


%{?perl_default_filter}

%description
This role loads simple configfiles to set object attributes. It is based on
the abstract role the MooseX::ConfigFromFile manpage, and uses the
Config::Any manpage to load your configfile. the Config::Any manpage will
in turn support any of a variety of different config formats, detected by
the file extension. See the Config::Any manpage for more details about
supported formats.

Like all the MooseX::ConfigFromFile manpage -derived configfile loaders,
this module is automatically supported by the the MooseX::Getopt manpage
role as well, which allows specifying '-configfile' on the commandline.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-5.mga8
+ Revision: 1495680
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-4.mga7
+ Revision: 1269622
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1030608
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966018
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 839369
- update to 0.11

* Sun Oct 19 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 788823
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 742720
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.100.0-3.mga5
+ Revision: 735855
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 685567
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 585650
- update to 0.10

* Mon Oct 21 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 539663
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 0.90.0-3.mga4
+ Revision: 492684
- Add missing BRs

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 370307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 40728
- mageia rebuild
- imported package perl-MooseX-SimpleConfig

